# $Revision: 1.5 $, $Date: 2002/07/27 15:10:52 $
%include	/usr/lib/rpm/macros.php
%define		_class		Mail
%define		_subclass	Mime
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - classes to create and decode mime messages
Summary(pl):	%{_class}_%{_subclass} - klasa do tworzenia i dekodowania wiadomoci mime
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides classes to deal with creation and manipulation of mime
messages:
- mime.php: Create mime email, with html, attachments, embedded images
  etc.
- mimePart.php: Advanced method of creating mime messages.
- mimeDecode.php - Decodes mime messages to a usable structure.
- xmail.dtd: An XML DTD to acompany the getXML() method of the
  decoding class.
- xmail.xsl: An XSLT stylesheet to transform the output of the
  getXML() method.

%description -l pl
Dostarcza klasy do tworzenia oraz manipulowania wiadomociami mime:
- mime.php: tworzenie emaili mime, z htmlem, zacznikami, obrazkami,
  etc.
- mimePart.php: zaawansowane metody tworzenia wiadomoci mime.
- mimeDecode.php: dekoduje wiadomoci mime do uywalnej struktury.
- xmail.dtd: XML DTD dla metody getXML() klasy dekodujcej.
- xmail.xsl: styl XSLT do transformowania wyjcia metody getXML().

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*	$RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Mail_Mime.spec,v $
Revision 1.5  2002/07/27 15:10:52  blues
- 1.2.1 - STBR

Revision 1.4  2002/07/14 12:55:47  blues
- 1.2

Revision 1.3  2002/07/12 23:51:47  blues
- release 3 (rebuild with new rpm)

Revision 1.2  2002/07/04 22:35:29  blues
- release 2

Revision 1.1  2002/06/30 14:18:05  blues
- initial (forgotten)

